> For the complete documentation index, see [llms.txt](https://time-series-features.gitbook.io/pyspi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://time-series-features.gitbook.io/pyspi/information-about-pyspi/api-reference.md).

# API Reference

This is the class and function reference of pyspi. Please refer to the user guide for further details as the class and function specifications may not be sufficient to give full context on their use.

<table><thead><tr><th width="490">Class</th><th width="263">High Level Description</th></tr></thead><tbody><tr><td><a href="/pyspi/information-about-pyspi/api-reference/pyspi.calculator.calculator.md"><mark style="color:blue;"><code>pyspi.calculator.Calculator</code></mark></a>([dataset, name, ...])</td><td>Computes all pairwise interactions.</td></tr><tr><td><a href="/pyspi/information-about-pyspi/api-reference/pyspi.data.data.md"><mark style="color:blue;"><code>pyspi.data.Data</code></mark></a>([data, dim_order, ...])</td><td>Store data for dependency analysis.</td></tr><tr><td><a href="/pyspi/information-about-pyspi/api-reference/pyspi.calculator.calculatorframe.md"><code>pyspi.calculator.CalculatorFrame</code></a><code>()</code></td><td>Handle batch operations on multiple datasets.</td></tr><tr><td><a href="/pyspi/information-about-pyspi/api-reference/pyspi.calculator.correlationframe.md"><mark style="color:blue;"><code>pyspi.calculator.CorrelationFrame()</code></mark></a></td><td>Container for handling correlation data derived from a set of calculators.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://time-series-features.gitbook.io/pyspi/information-about-pyspi/api-reference.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
